/*****
 NAME
	tmath.h - type definition for vector, matrix etc ...
 VERSION
	$Id$
 CHANGELOG
	$Log$
 */

#if !defined(TMATH_H_INCLUDED)
#define TMATH_H_INCLUDED

typedef enum {
	unknown_exp	= 0,
	error_exp,
	const_exp,
	variable_exp
} exp_t ;

typedef struct {
	double	x ;
	double	y ;
} vector2d_t ;

typedef struct {
	double	x ;
	double	y ;
	double	z ;
} vector3d_t ;

typedef struct {
	double		e11, e12 ;
	double		e21, e22 ;
} matrox2x2_t ;

typedef struct {
	double		e11, e12, e13 ;
	double		e21, e22, e23 ;
	double		e31, e32, e33 ;
} matrox3x3_t ;

#endif /* !defined(TMATH_H_INCLUDED) */

